#ifndef BKGREG_H
#define BKGREG_H

#include <iostream>
#include <vector>
#include "Dal.h"

class Bkgreg {


public:
	Bkgreg(double rawx, double rawy, int ccdnr, double rad, std::string instr, std::string mode);
	//Bkgreg(DasetSet *set); For source list in the future
	std::vector<double> getCoord();

private:
	void calReg();
	void calRegPN();
	void calRegMOS();
	std::vector<int> calCCDlimits();
	double _rawx;
	double _rawy;
	int _ccdnr;
	double _rad;
	std::vector<int> ccd_limits;
	std::string _instr;
	std::string _mode;
	std::vector<double> _res;




};

#endif
